Subject: [manet] Updates to OLSRv2 (was Re: IDs presemted in Berlin)

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 5 Sep 2013 02:21:08 +0200

The updates/improvements are solving something that is not clear
scenario/problem, I read the drafts, but it is not clear what is the
*unnecessary selection problem* and which scenarios we have
unnecessary and which are necessary. The applicability statement is
not focused enough. You give conditions in the draft for optimization,
but you don't describe the scenarios. IMHO, the drafts are not
optimizing a general scenario of OLSRv2.

AB

On 9/5/13, Christopher Dearlove <[email-masked]> wrote:
> If you want to know what problems these I-D are solving then read them. Then
> read the MT-OLSRv2 draft for an example of their use.
>
>
> On 4 Sep 2013, at 23:15, Abdussalam Baryun wrote:
>
>> Hi Stan,
>>
>> I mean IMHO, we can only update after answering all questions, I have
>> no objections, but still we need to answer WG questions I think.
>> Questions are key discussions that give chance to community to decide
>> better.
>>
>> From Thomas and Henning, there is no problem with the
>> interoperability, but still the authors did not answer fully to Teco
>> questions, as saying: there is no problems and that thoes I-Ds just
>> giving additional features. The questions were clear, why not document
>> the problems or what are the problems that these I-Ds are solving.
>>
>> AB
>>
>> On 9/3/13, Stan Ratliff (sratliff) <[email-masked]> wrote:
>>> Abdussalam,
>>>
>>>
>>> On Aug 31, 2013, at 4:55 AM, Abdussalam Baryun
>>> <[email-masked]>
>>> wrote:
>>>
>>>> On 8/16/13, Teco Boot <[email-masked]> wrote:
>>>>> Did I say I'm against? I just want to know the issues / problems. At
>>>>> least
>>>>> they should be documented.
>>>>
>>>>> questions before the above>
>>>>> Does draft-dearlove-manet-nhdp-olsrv2-tlv-extension introduce problems
>>>>> in
>>>>> a network with and without routers that implement this?
>>>> If so, I think we need some discussion first.
>>>>
>>>>> May I read that there are problems?
>>>> If so, we cannot bring out a std track RFC followed up with something
>>>> that can not interoperate with it. Or we mark the to_be RFC as
>>>> obsolete. That's how it works.
>>>> +++++++++++++++++++++++++++++++++++++
>>>>
>>>> I agree, that problems/questions that made MANET WG to update such
>>>> RFC, SHOULD be documented/listed or discussed into IETF, we SHOULD not
>>>> hide any information related to OLSRv2 problems.
>>>>
>>>> I still not foud answers from the new draft authors of the document
>>>> requested to adopt, I agree with Teco's questions and approach to
>>>> update MANET documents.
>>>>
>>>> AB
>>>
>>>
>>> I'm confused by your email. The question before the WG is whether to
>>> accept
>>> these documents as working group docs, and to then work on getting
>>> consensus. Are you expressing a desire to do that (e.g. take the work on
>>> as
>>> a WG document), or are you saying these IDs are out-of-scope, or is
>>> there
>>> some other issue that, in your opinion, precludes the WG from taking
>>> this
>>> work on?
>>>
>>> As to your statement "I still not foud [sic] answers from the new draft
>>> authors…", I personally believe the emails from Thomas Clausen and
>>> Henning
>>> Rogge of Aug 30 address the interoperability issue that Teco raised
>>> quite
>>> well.
>>>
>>> Regards,
>>> Stan
>>>
>>>
>
>

---

From: Henning Rogge <[email-masked]>
Date: Thu, 5 Sep 2013 07:43:38 +0200

> optimizing a general scenario of OLSRv2.

Instead of just firing a "shotgun argument" at three drafts, you should 
address each of them.

What does the "OLSRv2 extension" draft solve?

It helps to use the unused bits in the OLSRv2 and NHDP TLVs without 
changing the values if you don't use the bits (and keeping backward 
compatibility this way). This increases the efficiency of the protocol 
for extensions. You would understand if you read the "OLSRv2 
multitopology" draft.

What does the "OLSRv2 rmpr optimization" draft solve?

It gives you a better rule what the minimum routing MPR set should be, 
which decreases the size of the TCs and with this it allows to increase 
the efficiency of the protocol.

What does the "OLSRv2 multitopology" draft solve?

If you understand the concept of multitopology routing, this should be 
easy. If not, you might want to look it up first, then read the draft again.

So maybe now you should explicitly state what are YOUR problems with 
each of the drafts.

Henning Rogge

-- 
Diplom-Informatiker Henning Rogge , Fraunhofer-Institut für
Kommunikation, Informationsverarbeitung und Ergonomie FKIE
Kommunikationssysteme (KOM)
Fraunhofer Straße 20, 53343 Wachtberg, Germany
Telefon +49 228 9435-961,   Fax +49 228 9435 685
mailto:[email-masked] http://www.fkie.fraunhofer.de